dbus_agent.h File Reference
`#include <core/trust/visibility.h>`
Include dependency graph for dbus_agent.h:

Go to the source code of this file.

## Namespaces

| core
| core::dbus
| core::trust
| Contains functionality for implementing Ubuntu's trust model.
| core::trust::dbus

## Functions

CORE_TRUST_DLL_PUBLIC std::shared_ptr< core::trust::Agent > | core::trust::dbus::create_per_user_agent_for_bus_connection (const std::shared_ptr< core::dbus::Bus > &connection, const std::string &service_name)
| create_per_user_agent_for_bus_connection creates a trust::Agent implementation communicating with a remote agent implementation living in the same user session. More...
CORE_TRUST_DLL_PUBLIC std::shared_ptr< core::trust::Agent > | core::trust::dbus::create_multi_user_agent_for_bus_connection (const std::shared_ptr< core::dbus::Bus > &connection, const std::string &service_name)
| create_multi_user_agent_for_bus_connection creates a trust::Agent implementation communicating with user-specific remote agent implementations, living in user sessions. More...